org.eclipse.microprofile.lra.tck.service

## Class LRAMetricRest

- java.lang.Object
- - org.eclipse.microprofile.lra.tck.service.LRAMetricRest

    @Path(value="lra-tck-metric")
    public class LRAMetricRest
    extends Object

JAX-RS endpoints for the `LRAMetricService`.

### Field Summary

Fields
`static String` `LRA_ID_PARAM`
`static String` `LRA_TCK_METRIC_RESOURCE_PATH`
`static String` `METRIC_PATH`
`static String` `METRIC_TYPE_PARAM`
`static String` `PARTICIPANT_NAME_PARAM`

### Constructor Summary

Constructors
Constructor and Description
`LRAMetricRest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getMetric(LRAMetricType metricType, URI lra, String participantName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LRA_TCK_METRIC_RESOURCE_PATH

    public static final String LRA_TCK_METRIC_RESOURCE_PATH

See Also:
  Constant Field Values

#### METRIC_PATH

    public static final String METRIC_PATH

See Also:
  Constant Field Values

#### METRIC_TYPE_PARAM

    public static final String METRIC_TYPE_PARAM

See Also:
  Constant Field Values

#### LRA_ID_PARAM

    public static final String LRA_ID_PARAM

See Also:
  Constant Field Values

#### PARTICIPANT_NAME_PARAM

    public static final String PARTICIPANT_NAME_PARAM

See Also:
  Constant Field Values

### Constructor Detail

#### LRAMetricRest

    public LRAMetricRest()

### Method Detail

#### getMetric

    @Path(value="metric")
     @GET
     @Produces(value="text/plain")
    public int getMetric(@QueryParam(value="metricType")
                                                                                    LRAMetricType metricType,
                                                                                    @QueryParam(value="lraId")
                                                                                    URI lra,
                                                                                    @QueryParam(value="participantName")
                                                                                    String participantName)